# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/sound/ti,pcm1754.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Texas Instruments PCM1754 Stereo DAC

description:
  The PCM1754 is a simple stereo DAC that is controlled via hardware gpios.

maintainers:
  - Stefan Kerkmann <s.kerkmann@pengutronix.de>

allOf:
  - $ref: dai-common.yaml#

properties:
  compatible:
    enum:
      - ti,pcm1754

  vcc-supply: true

  '#sound-dai-cells':
    const: 0

  format-gpios:
    maxItems: 1
    description:
      GPIO used to select the PCM format

  mute-gpios:
    maxItems: 1
    description:
      GPIO used to mute all outputs

required:
  - compatible
  - '#sound-dai-cells'
  - vcc-supply

additionalProperties: false

examples:
  - |
    #include <dt-bindings/gpio/gpio.h>
    codec {
      compatible = "ti,pcm1754";
      #sound-dai-cells = <0>;

      vcc-supply = <&vcc_reg>;
      mute-gpios = <&gpio 0 GPIO_ACTIVE_HIGH>;
      format-gpios = <&gpio 1 GPIO_ACTIVE_HIGH>;
    };
